# Regulamento de Trabalho de Conclusão de Período (TCP)

> Curso Superior de Tecnologia em Jogos Digitais
> Campus Engenheiro Paulo de Frontin
> Instituto Federal do Rio de Janeiro

## Capítulo I – Objetivos e Características

Art.1º.  O Trabalho de Conclusão de Período (TCP) é uma atividade obrigatória, constituída por seis disciplinas distribuídas pelo currículo Curso Superior de Tecnologia em Jogos Digitais e tem como objetivos:

* I -- Desenvolver a capacidade de aplicação dos conceitos e teorias adquiridas durante o curso de forma integrada, por meio da execução de um projeto de jogo digital.
* II -- Desenvolver a capacidade de planejamento e disciplina para resolver problemas dentro das diversas áreas de formação.
* III -- Despertar o interesse pela pesquisa como meio para a resolução de problemas.
* IV -- Estimular o espírito empreendedor, por meio da execução de projetos que levem ao desenvolvimento de produtos, os quais possam ser patenteados e/ou comercializados.  
* V -- Intensificar a extensão universitária, por intermédio da resolução de problemas existentes nos diversos setores da sociedade.
* VI -- Estimular a construção do conhecimento coletivo.
* VII -- Estimular a interdisciplinaridade.
* VIII -- Estimulara inovação tecnológica.
* IX -- Estimular o espírito crítico e reflexivo no meio social onde está inserido.
* X -- Estimular a formação continuada.

Art.X°. O Trabalho de Conclusão de Período segue a seguinte distribuição por semestre:
* I - Primeiro Semestre: Jogo 2D
* II - Segundo Semestre: Jogo 3D
* III - Terceiro Semestre: Jogo Multijogador
* IV - Quarto Semestre: Jogo para Plataformas Móveis
* V - Quinto Semestre: Jogo para Consoles
* VI - Sexto Semestre: Temática de Jogo Livre: Sujeita a moderação do professor responsável.

Art.2º.  O TCP poderá ser desenvolvido individualmente ou em equipe, o Art.16° expande o assunto grupos/equipes.

Art.3º. Serão 6 disciplinas de TCP, uma para cada semestre do curso. Cada TCP, exceto o TCP 6,terá uma temática tecnológica baseada nas disciplinas obrigatórias do semestre em que está inserida.

Art.4º.  O TCP 6 não possui vínculo tecnológico com o semestre, assim sendo o tema livre dentro do escopo do curso.

§ 1º. O TCP será caracterizado pelo desenvolvimento de um projeto de jogo, que compreende três entregas principais a serem realizadas: a apresentação, o protótipo e a documentação do projeto de jogo.

§ 2º. É vedada a convalidação de TCP realizado em outro curso de graduação ou disciplina de TCP, salvo avaliação da coordenação do curso.


## Capítulo II – Das Atribuições

### Seção I – Professor Orientador/Responsável do TCP

Art. 5º. Compete ao Professor Orientador do TCP:

* I - Orientar o(s) aluno(s) na elaboração do TCP longo do seu desenvolvimento, desde a proposta inicial do projeto de jogo até a apresentação e entrega da versão final do Projeto.
* II - Apoiar a Coordenação de Curso no desenvolvimento das atividades relativas ao TCP.
* III - Organizar e operacionalizar as diversas atividades de desenvolvimento e avaliação do TCP que se constituem em encontros de avaliação dos projetos de jogo, onde serão apresentadas as entregas associadas aos projetos de jogo em seu estado de desenvolvimento atual (apresentação, protótipo e documentação do projeto). .
* IV- Efetuar a divulgação e o lançamento das avaliações referentes ao TCP.
* V - Promover reuniões de orientação e acompanhamento com os alunos que estão desenvolvendo o TCP.
* VI- Definir, juntamente com a Coordenação de Curso, as datas dos encontros de avaliação dos TCPs.
* VII - Promover, juntamente com a Coordenação de Curso, a integração com a Pós-Graduação, empresas e organizações, de forma a levantar possíveis temas de trabalhos e fontes de financiamento.
* VIII - Constituir as bancas de avaliação dos TCP.
* IX- Orientar o aluno na aplicação de conteúdos e normas técnicas para a elaboração do TCP.
* X - Efetuar a revisão dos documentos e componentes do TCP, e autorizar os alunos a fazerem as apresentações previstas e a entrega de toda a documentação solicitada.

Art.6º.  O acompanhamento dos alunos no TCP será efetuado pelo Professor Responsável.

§ 1º. O Professor Responsável deverá, obrigatoriamente, pertencer ao corpo docente do Campus da IFRJ ao qual o aluno está vinculado, podendo existir coorientador(es).  

§ 2º. O(s) coorientador(es) terá(ão) por função auxiliar no desenvolvimento do trabalho, podendo ser qualquer profissional com conhecimento aprofundado e reconhecido no assunto em questão.

### Seção II – Dos Alunos

Art.7º. São obrigações do(s) Aluno(s):  

* I - Ter cursado disciplina/unidade curricular pré-requisitos e/ou co-requisitos para o TCP que deseja se matricular.
* II - Elaborar e apresentar as entregas do projeto de jogo, composto de três entregas principais: uma apresentação, um protótipo funcional e toda a documentação do projeto de jogo, incluindo itens de acompanhamento e desenvolvimento em, conformidade com este Regulamento.
* III - Apresentar toda a documentação solicitada pelo Professor Orientador.
* IV- Participar das reuniões periódicas de orientação com o Professor Orientador do TCP.
* V - Seguir as recomendações do Professor Orientador concernentes ao TCP.
* VI - Participar de todos os seminários e apresentações referentes ao TCP.
* VII - Entregar ao Professor Responsável pelo TCP a documentação escrita corrigida (de acordo com as recomendações da banca examinadora) nas versões impressa e eletrônica, incluindo arquivos de resultados experimentais, tais como: planilhas, gráficos, protótipos, softwares e outros.
* VIII - Tomar ciência e cumprir os prazos estabelecidos pela Coordenação de Curso e Professor Orientador.
* IX - Respeitar os direitos autorais sobre artigos técnicos, artigos científicos, textos de livros, sítios da Internet, entre outros, evitando todas as formas e tipos de plágio acadêmico.
* X - Elaborar, a cada reunião relacionada ao TCP, um relatório simplificado dos assuntos tratados na reunião na forma de ata, o qual deverá ser assinado pelo(s) aluno(s) integrantes do projeto.

### Secao III. Aos docentes atuantes no período correspondente ao TCP

Art. 8º. Compete aos docentes atuantes no curso no período correspondente ao TCP:

§ 1º. A participação ativa nos encontros de avaliação dos TCPs correspondentes ao(s) período(s), conforme o cronograma de encontros de avaliação para os TCPs.

§ 2º. É recomendável a participação de três professores atuantes no curso em cada encontro de avaliação dos TCPs agendado. A participação inclui preferencialmente os docentes que estejam atuando em disciplinas do período correspondente ao TCP em avaliação.


## CAPÍTULO III – DA MATRÍCULA E ACOMPANHAMENTO

### Seção I - DA MATRÍCULA

Art.8º. A matrícula no TCP será operacionalizada pela Secretária de Ensino da Graduação do campus.

​​§ 1º. A matrícula em TCP somente poderá ser efetuada se todos os pré e co requisitos forem atendidos.  

​​§ 2º. A matrícula em TCP 6 somente poderá ser efetuada pelo aluno, após aprovação em todos os TCPs anteriores.


### Seção II - DO ACOMPANHAMENTO

Art.9º. O acompanhamento dos trabalhos será feito por meio das disciplinas de TCP, conforme cronograma de encontros de avaliação estabelecido pela coordenação em conjunto com o colegiado do curso.

Parágrafo único - Após cada encontro de orientação deverá ser feito pelos alunos um relatório simplificado dos assuntos tratados na reunião na forma de ata, o qual deverá ser assinado pelo(s) aluno(s). O documento deve fazer parte da documentação final entregue junto com o projeto no encontro de avaliação final do projeto.



## CAPÍTULO IV – DO DESENVOLVIMENTO DAS DISCIPLINAS DE TCP

### Seção I - O PROJETO

Art. 14 - O TCP caracteriza-se pelo desenvolvimento, a execução e a apresentação de um Projeto de Jogo, composto de três entregas principais: uma apresentação, um protótipo funcional e toda a documentação do projeto de jogo, que inclui a entrega das versões finais de todo o material de projeto relevante no repositório do curso na biblioteca.

Art. 15 - A conclusão de todos as disciplinas de TCP constitui-se atividade e condição obrigatória para conclusão do curso.

### Seção II - GRUPOS E EQUIPES

Art. 16 - O Projeto de Jogo será organizado em grupos/equipes.

§ 1.o - Quando da apresentação da proposta do Projeto de Jogo, o(s) aluno(s) deverá(ao) comunicar por escrito, ao Professor Responsável, a composição de sua equipe.

§ 2.o Preferencialmente não deverá haver grupos de apenas um componente, pois o trabalho colaborativo faz parte da experiência/aprendizado do TCP. Podendo haver exceções por recomendação do docente responsável ou no caso de haver numero insuficiente de alunos inscritos na disciplina.

§ 3.o Recomenda-se a composição de grupos de 3 a 4 integrantes por projeto. Contudo, não existe um limite para o tamanho máximo do grupo (apenas mínimo), assim ficando a critério do docente responsável definir limites e regras para formação de grupos.

§ 4.o Cabe ao Professor Responsável definir como os grupos devem gerir seus componentes, explicitando se pode haver troca de membros ou “contratações”/“demissões”.

### Seção III - TEMAS DE PROJETO

Art. 17 - As características relacionadas ao tipo de projeto para cada disciplina de TCP estão descritas em suas respectivas ementas.

§ 1.o O tema do projeto de jogo deve estar alinhado às características propostas para o TCP correspondente e, sempre que possível, privilegiar as diretrizes curriculares.


§ 2.o O projeto deve ter sua classificação indicativa divulgada antes de qualquer apresentação.

§ 3.o Temáticas envolvendo assuntos que possam ofender grupos específicos (linguagem imprópria de cunho discriminatório, racista, misógino, machista, homofóbico ou semelhantes) devem ser consultados e aprovados pelo professor responsável.

§ 4.o Caso haja dúvidas do docente sobre a natureza do tema escolhido, e quanto a sua adequação para uso no TCP é recomendável consultar grupos institucionais adequados (NAPNE, NEABI, COTP, outros).

### Seção IV - CRONOGRAMA DE AVALIAÇÕES

Art. 18 - Os professores responsáveis pelas disciplinas de TCP devem criar e divulgar, no inicio do semestre, um cronograma público compreendendo encontros de avaliação e acompanhamento, que inclua as datas das apresentações e de outras ações avaliativas.

§ 1.o O cronograma de apresentações deve ser montado em conjunto pelos professores de TCP a cada semestre, com o apoio da coordenação do curso. É necessário que todos concordem, assinem e divulguem para toda a comunidade o cronograma de apresentações.

§ 2.o Não deve haver apresentações na semana de VS, dias de COC ou outras reuniões do curso técnico e graduação.

§ 3.o É recomendada a realização de 3 encontros de avaliação (Inicial, Parcial e Final) para cada um dos TCPs.

§ 4.o As datas agendadas para os encontros de avaliação dos TCPs são consideradas atividades letivas integradoras das disciplinas de cada período, compreendendo, portanto, em sua dinâmica, a íntegra dos tempos de aula previstos para estes períodos nos dias em que forem especificados tais encontros, tendo em vista o caráter integrador das atividades dos TCPs perante o curso e ainda o sentido de viabilizar a participação e a colaboração dos demais docentes neste processo.


### Seção V - LOCAL E METODOLOGIA DE APRESENTAÇÃO

Art. 19 - As avaliações intermediárias ou finais devem seguir o seguinte protocolo:

* I - As apresentações devem ser realizadas conforme cronograma de encontros de avaliação proposto para os TCPs, em conformidade com o cronograma aprovado.
* II - Caso o número de ouvintes (técnicos, turmas dos professores da banca ou alunos interessados) seja maior que os assentos da sala é recomendado o uso do auditório, com exceção de TCPs que necessitem de infraestrutura especial (jogos multiplayer).
* III - O docente irá estipular se as apresentações intermediárias serão apenas para a turma e banca ou aberta ao público em geral do campus. Sendo que a apresentação final deve sempre ser aberta.
* IV - Professores do curso que previamente acordaram em compor a banca, caso estejam em aula no dia e horário da apresentação, podem optar por levar turma para apresentação e realizar presença normalmente.

Parágrafo único - Nenhuma apresentação deve ser realizada fora do período letivo do curso (matutino).

### Seção VI - AVALIAÇÃO DE PROJETOS

Art. 20 - A avaliação do Projeto de Jogo será organizada pelo Professor Responsável, de acordo com o estabelecido em normas complementares.

Art. 21 - No caso da avaliação final é necessário que o grupo/equipe apresenta o comprovante de depósito do projeto com a coordenação e biblioteca.

Art. 22 - Os Projetos de Jogo serão avaliados com base nos seguintes critérios:  
* I - Relevância na área do curso e tema do TCP.
* II - Documentação
* II - Exeqüibilidade e cronograma de execução.  
* III - Resultado (Protótipo ou Produto).  
* IV - Apresentação do projeto de jogo.
* V -  Outros critérios relevantes para particularidades de cada TCP.

Parágrafo único - O Professor Responsável poderá atribuir grau de forma coletiva ou individual, desde que os critérios de avaliação e atribuição de grau sejam descritos no plano de aula.

Art. 23 - São condições necessárias para aprovação em TCP:
* I - Freqüência igual ou superior a 75% nas atividades programadas pelo Professor Responsável e Professor Orientador.
* II - Apresentação de Projeto de jogo por escrito, elaborado de acordo com os padrões da CST em Jogos Digitais do IFRJ.
* III - Apresentação e aprovação da Proposta do Projeto de jogo.
* IV - Apresentação e aprovação em avaliação parcial, quando houver, em que se verificará a qualidade do trabalho desenvolvido até aquele momento e o cumprimento do cronograma proposto.
* V - Comprovação de estar cursando ou já ter cursado todos os pré-requisitos/co-requisitos para o TCP em questão.
* VI – Apresentação e aprovação no encontro de avaliação final do TCP.


§ 1.o - As avaliações finais do Projeto de Jogo, deverão ser realizadas por uma banca composta de pelo menos 3 (três) professores, incluindo o Professor Responsável. Nas demais avaliações (inicial e parcial), recomenda-se também seguir esse critério.

§ 2.o - Todos os membros da banca receberão um certificado de participação. Sendo responsabilidade do professor responsável organizar a emissão do certificado.

Art. 24 - A apresentação final constitui-se requisito obrigatório para aprovação do projeto e será realizada em forma de um encontro de avaliação final e público.

§ 1.o - Entende-se por Documentação do Projeto de Jogo o documento escrito em formato digital pelo aluno, contendo a descrição completa do TCP conforme padrão estabelecido pelo professor responsável da disciplina.

§ 2.o - A documentação também deverá conter as atas das reuniões/encontros realizados com o Professor Responsável.   

Art. 25 - Apresentações de mais de 1 grupo/equipe devem seguir o seguinte protocolo.
* I - Cada grupo de TCP terá, no máximo, 15 minutos para apresentar.
* II - A apresentação deve ser cronometrada, e ao atingir o limite estabelecido o grupo terá 1 minuto adicional para encerrar.
* III - É permitido que um novo tempo (apenas maior) de apresentação seja proposto pelo docente responsável, desde que informado a banca previamente e nenhuma apresentação fique fora do cronograma de encontros de avaliação proposto.
* IV - A ordem de apresentação será por sorteio. Se o primeiro grupo se ausentar ou atrasar o início da apresentação poderá ser penalizado.
* V - Os outros grupos poderão se voluntariar para adiantar suas apresentações caso algum grupo esteja ausente.
* VI - O docente em conjunto com CSTI deve garantir que a sala onde será a feito encontro de avaliação dos projetos esteja condições para realização da apresentação.

Art. 26 - O desenvolvimento do TCP e o encontro de avaliação final deverão acontecer no prazo de um período letivo, sem incluir a semana de verificação suplementar.


Art. 27 - O projeto que não atingir o grau mínimo de aprovação e também estiver dentro da média de verificação suplementar terá direito a recuperação dentro do período estabelecido pelo calendário institucional.

Parágrafo único - O processo de verificação suplementar deverá ser informado pelo professor em conjunto com o plano de aula.

## CAPÍTULO V – DA DISPONIBILIZAÇÃO E DIVULGAÇÃO DOS TRABALHOS

Art. 28 - Deverá(ão) obrigatoriamente ser entregue(s) ao Professor Responsável como documentação final do TCP, cópias da documentação e produtos, e outros documentos exigidos em normas complementares, na(s) forma eletrônica(s).

§ 1.o - A documentação do projeto deverá obrigatoriamente obedecer aos padrões estabelecidos pelo professor responsável.

§2.o - A documentação deverá possuir uma folha de aprovação na qual constarão, no mínimo, as assinaturas dos membros da banca.  

Art. 29 - O IFRJ reserva-se o direito de disponibilizar a documentação e produtos em cópia material, ou por intermédio de mídias diversas, nas bibliotecas e na Internet.

Parágrafo único - Quando da necessidade de sigilo em determinados dados ou resultados do trabalho, estes não serão divulgados eletronicamente ou via monografia disponibilizada na biblioteca e na Internet.

## CAPÍTULO VI – DAS DISPOSIÇÕES GERAIS

Art. 30 - Poderão ser disponibilizados meios alternativos para acompanhamento e avaliação de alunos que desenvolvem o TCP a critério do Coordenador.

Art. 31 - Quando o TCP resultar em patente ou registro, a propriedade desta será estabelecida conforme regulamentação própria.

Art. 32 - As coordenações de curso poderão estabelecer normas operacionais complementares para as atividades de TCP.

Art. 33 - Os casos omissos a este regulamento serão resolvidos pelo Coordenador de Pesquisa e Coordenadores de Curso.             

---

## Notas técnicas/rascunhos (observações na formulação do documento)
Orientações para TCP
O presente documento serve para ajudar na uniformização das disciplinas de TCP:

### Dinâmica do TCP
A ideia de estabelecer cronogramas com datas específicas para os encontros de avaliação TCPs (início, meio e fim), onde as apresentações sejam consideradas atividades letivas do período do curso nestas datas, ocorrendo durante todo o período de aulas correspondentes aos dias onde estiverem agendados tais encontros.
Argumentação:
- A proposta do TCP é mobilizar um projeto integrador, que consolide as disciplinas do período correspondente.
- Considerar as datas de encontros de avaliação como atividades letivas do período reforça o caráter de integração dessa atividade dentro do período do curso, além de facilitar a participação e a adesão dos demais docentes atuantes no período nos encontros avaliativos.


### Formação de Grupos
* Não deverá haver grupos de apenas um componente, pois o trabalho colaborativo faz parte da experiência/aprendizado do TCP. Podendo haver exceções por recomendação do docente responsável ou no caso de haver numero insuficiente de alunos inscritos na disciplina.
* Não existe limite para o tamanho máximo do grupo (apenas mínimo), assim ficando a critério do docente definir limites e regras para formação de grupos.
* Cabe ao professor definir como os grupos devem gerir seus componentes, definindo se pode haver troca de membros ou “contratações”/“demissões”

### Temas de Projeto
* Os temas dos projetos devem estar adequados ao tema do TCP e sempre que possível privilegiar diretrizes curriculares.
* O projeto deve ter sua classificação indicativa esperada divulgada antes de qualquer apresentação.
Temáticas envolvendo assuntos que possam ofender grupos específicos (linguagem imprópria de cunho discriminatório, racista, misógino, machista, homofóbico ou semelhantes) devem ser consultados e aprovados pelo docente responsável.
* Caso haja dúvidas do docente sobre a natureza do tema escolhido, e quanto a sua adequação para uso no TCP é recomendável consultar grupos institucionais adequados (NAPNE, NEABI, COTP, outros).

### Cronograma
* O cronograma de apresentações deve ser montado em conjunto pelos professores de TCP a cada semestre. É necessário que todos concordem, assinem e divulguem para toda a comunidade o cronograma de apresentações.
* Não deve haver apresentações na semana de VS, dias de COC ou outras reuniões do curso técnico e graduação.
* É recomendado 3 apresentações (Inicial, Qualificação, Final)

### Local/Horário de Apresentação de TCP
* As apresentações devem ser realizadas no horário da respectiva disciplina de TCP em conformidade com o cronograma do aprovado.
Nenhuma apresentação deve ser realizada fora do período letivo do curso (matutino).
* Caso o número de ouvintes (técnicos, turmas dos professores da banca ou alunos interessados) seja maior que os assentos da sala é recomendado o uso do auditório, com exceção de TCPs que necessitem de infraestrutura especial (jogos multiplayer).
* O docente irá estipular se as apresentações intermediárias serão apenas para a turma e banca ou aberta ao público em geral do campus. Sendo que a apresentação final deve sempre ser aberta.
* Professores do curso que previamente acordaram em compor a banca, caso estejam em aula no dia e horário da apresentação, podem optar por levar turma para apresentação e realizar presença normalmente. * Ao término das apresentações a prof. deve retornar a aula.

### Apresentação
* Cada grupo de TCP terá, no máximo, 15 minutos para apresentar.
* A apresentação deve ser cronometrada, e ao atingir o limite estabelecido o grupo terá 1 minuto adicional para encerrar.
* É permitido que um novo tempo (maior) de apresentação seja proposto pelo docente da disciplina, desde que informado a banca previamente e nenhuma apresentação fique fora do horário da disciplina. (Válido para TCPs com menos de 3 grupos).
* A ordem de apresentação será por sorteio. Se o primeiro grupo se ausentar ou atrasar o início da apresentação poderá ser penalizado. * Os outros grupos poderão se voluntariar para adiantar suas apresentações caso algum grupo esteja ausente.
* O docente em conjunto com CSTI deve garantir que a sala onde será a feito a defesa dos projetos esteja condições para realização da apresentação.

### Critérios de Avaliação
* O docente é responsável por determinar o critérios de avaliação e comunicar a banca.
* Toda apresentação deve possuir o critério de tempo, caso o grupo não termine no tempo estipulado deve haver uma penalização.
* Todo grupo, na apresentação final, deve entregar um vídeo de gameplay do jogo antes do dia apresentação.
* Todo grupo deve entregar a documentação do projeto atualizada, vídeo de gameplay (caso haja um protótipo) e pitching (caso estejam cursando a disciplina de inglês e/ou edição de vídeo) dois dias antes das apresentações.
* O grupo só poderá participar da apresentação final (e receber grau) caso apresente ao docente uma declaração da biblioteca de que o projeto foi corretamente inserido no repositório.

### VS para TCP
* Todo grupo tem direito a realizar VS, caso se enquadre nas regras de VS.
* Para a VS, a banca, deve estipular critérios que caem em exigência, e o grupo terá 1 semana para cumprir as metas, cabendo ao professor da disciplina averiguar se tais metas foram cumpridas no prazo.
* O prof. da disciplina em conjunto com a banca pode propor outras formas de aplicar a VS.

### Banca
* É recomendado que a banca seja composta por, no mínimo, 3 componentes sendo o ministrante da disciplina e mais dois que podem ser docentes do curso ou externos.
* É permitido membros da banca externos em qualquer uma das etapas de avaliação.
* Todos os membros da banca devem receber um certificado de participação. Sendo responsabilidade do docente da disciplina organizar a emissão do certificado.

### Propriedade Intelectual do Projeto
* O professor deve deliberar sobre como será atribuída propriedade intelectual do projeto desenvolvido.
* O IFRJ como instituição sempre será parte solidária no desenvolvimento do projeto e todo projeto deverá no início conter uma exibição do logo do IFRJ e Campus.
